# Update custom oauth provider

Update a custom social login provider in your environment by ID.

Provide the ID of the custom social login provider and the desired OAuth parameters in the request body.

Endpoint: PATCH /resources/sso/custom/v1/{id}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `type` (string)

  - `clientId` (string)

  - `secret` (string)

  - `redirectUrl` (string)

  - `authorizationUrl` (string)

  - `tokenUrl` (string)

  - `userInfoUrl` (string)

  - `scopes` (string)

  - `ssoLogoUrl` (string)

  - `displayName` (string)

  - `active` (boolean)

